import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class GoogleService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }
  /* Google组别管理 */
  // 查询组别列表
  async googleGroupList(params = {}) {
    return await this.post('/google/group/search/list', params)
  }
  // 删除组别
  async googleGroupDelete(params = {}) {
    return await this.post('/google/group/delete', params)
  }
  // 更新组别
  async googleGroupUpdate(params = {}) {
    return await this.post('/google/group/update', params)
  }
  // 新增组别
  async googleGroupAdd(params = {}) {
    return await this.post('/google/group/add', params)
  }
}
export default new GoogleService()
